groovy.lang

## Class MissingClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingClassException

- All Implemented Interfaces:
    java.io.Serializable

      public class MissingClassException
      extends GroovyRuntimeException

  An exception occurred if a dynamic method dispatch fails with an unknown class. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.
  Author:
    James Strachan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingClassException(ClassNode type, java.lang.String message)`
    `MissingClassException(java.lang.String type, ASTNode node, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getType()`

    - ### Methods inherited from class groovy.lang.GroovyRuntimeException

      `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingClassException

          public MissingClassException(java.lang.String type,
                                       ASTNode node,
                                       java.lang.String message)

    - #### MissingClassException

          public MissingClassException(ClassNode type,
                                       java.lang.String message)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Returns:
        The type that could not be resolved